--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/commande/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/commande/list.php	2025-06-27 11:43:41.496322000 +0000
@@ -205,7 +205,7 @@
 $arrayfields = array(
 	'u.login' => array('label' => "AuthorRequest", 'enabled' => '1', 'position' => 41),
 	's.name_alias' => array('label' => "AliasNameShort", 'position' => 51, 'checked' => '0'),
-	's.town' => array('label' => "Town", 'enabled' => '1', 'position' => 55, 'checked' => '0'),
+	's.town' => array('label' => "Town", 'enabled' => '1', 'position' => 55, 'checked' => '1'),
 	's.zip' => array('label' => "Zip", 'enabled' => '1', 'position' => 56, 'checked' => '1'),
 	'state.nom' => array('label' => "StateShort", 'enabled' => '1', 'position' => 57),
 	'country.code_iso' => array('label' => "Country", 'enabled' => '1', 'position' => 58),
@@ -2103,7 +2103,7 @@
 			// Note public
 			if (!empty($arrayfields['cf.note_public']['checked'])) {
 				print '<td class="sensiblehtmlcontent center">';
-				print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_public, 5)).'</div>';
+				print dolPrintHTML($obj->note_public);
 				print '</td>';
 				if (!$i) {
 					$totalarray['nbfield']++;
@@ -2113,7 +2113,7 @@
 			// Note private
 			if (!empty($arrayfields['cf.note_private']['checked'])) {
 				print '<td class="sensiblehtmlcontent center">';
-				print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_private, 5)).'</div>';
+				print dolPrintHTML($obj->note_private);
 				print '</td>';
 				if (!$i) {
 					$totalarray['nbfield']++;

########## fourn/facture/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/facture/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/facture/card.php	2025-06-27 11:43:41.556380000 +0000
@@ -3638,7 +3638,7 @@
 			if (GETPOST('calculationrule')) {
 				$calculationrule = GETPOST('calculationrule', 'alpha');
 			} else {
-				$calculationrule = (!getDolGlobalString('MAIN_ROUNDOFTOTAL_NOT_TOTALOFROUND_SUPPLIER') ? 'totalofround' : 'roundoftotal');
+				$calculationrule = (!getDolGlobalString('MAIN_ROUNDOFTOTAL_NOT_TOTALOFROUND') ? 'totalofround' : 'roundoftotal');
 			}
 			if ($calculationrule == 'totalofround') {
 				$calculationrulenum = 1;

########## fourn/facture/paiement.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/fourn/facture/paiement.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/fourn/facture/paiement.php	2025-06-27 11:43:41.548605000 +0000
@@ -232,7 +232,7 @@
 					}
 				}
 
-				$formquestion[$i++] = array('type' => 'hidden', 'name' => $key, 'value' => GETPOSTFLOAT($key));
+				$formquestion[$i++] = array('type' => 'hidden', 'name' => $key, 'value' => GETPOSTINT($key));
 			}
 		}
 

########## holiday/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/holiday/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/holiday/list.php	2025-06-27 11:43:47.090912000 +0000
@@ -90,7 +90,7 @@
 	$sortorder = "DESC";
 }
 if (!$sortfield) {
-	$sortfield = "cp.date_debut";
+	$sortfield = "cp.ref";
 }
 
 $search_all          = trim(GETPOST('search_all', 'alphanohtml'));

########## hrm/class/skill.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/class/skill.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/class/skill.class.php	2025-06-27 11:43:46.998538000 +0000
@@ -197,7 +197,7 @@
 	 */
 	public function __construct(DoliDB $db)
 	{
-		global $langs;
+		global $conf, $langs;
 
 		$this->db = $db;
 
@@ -245,8 +245,11 @@
 	 */
 	public function create(User $user, $notrigger = 0)
 	{
+		global $langs,$conf;
+
 		$resultcreate = $this->createCommon($user, $notrigger);
 
+
 		if ($resultcreate > 0) {
 			// skillDet create
 			$this->createSkills();
@@ -263,9 +266,9 @@
 	 */
 	public function createSkills($i = 1)
 	{
-		global $user, $langs;
+		global $conf, $user, $langs;
 
-		$maxNumberSkill = getDolGlobalInt('HRM_MAXRANK', self::DEFAULT_MAX_RANK_PER_SKILL);
+		$MaxNumberSkill = getDolGlobalInt('HRM_MAXRANK', self::DEFAULT_MAX_RANK_PER_SKILL);
 		$defaultSkillDesc = getDolGlobalString('HRM_DEFAULT_SKILL_DESCRIPTION', $langs->trans("NoDescription"));
 
 		$error = 0;
@@ -275,9 +278,8 @@
 		$this->db->begin();
 
 		// Create level 0 of skills
-		/* Removed this. if a skill is not required for a job, the skill will just not be added to the job profile or will be added with expected level = N/A
 		$skilldet = new Skilldet($this->db);
-		$skilldet->description = $langs->transnoentitiesnoconv('SkillNotRequired');
+		$skilldet->description = $langs->trans('SkillNotRequired');
 		$skilldet->rankorder = 0;
 		$skilldet->fk_skill = $this->id;
 
@@ -285,17 +287,15 @@
 		if ($result <= 0) {
 			$error++;
 		}
-		*/
 
 		// Create level of skills
-		while ($i <= $maxNumberSkill) {
+		while ($i <= $MaxNumberSkill) {
 			$skilldet = new Skilldet($this->db);
 			$skilldet->description = $defaultSkillDesc . " " . $i;
 			$skilldet->rankorder = $i;
 			$skilldet->fk_skill = $this->id;
 
 			$result =  $skilldet->create($user);
-
 			if ($result <= 0) {
 				$error++;
 			}
@@ -914,13 +914,11 @@
 	 */
 	public function LibStatut($status, $mode = 0)
 	{
-		// phpcs:enable
 		if (empty($status)) {
 			$status = 0;
 		}
 
-		return '';
-		/*
+		// phpcs:enable
 		if (empty($this->labelStatus) || empty($this->labelStatusShort)) {
 			global $langs;
 			//$langs->load("hrm");
@@ -939,7 +937,6 @@
 		}
 
 		return dolGetStatus($this->labelStatus[$status], $this->labelStatusShort[$status], '', $statusType, $mode);
-		*/
 	}
 
 	/**

########## hrm/class/skilldet.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/class/skilldet.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/class/skilldet.class.php	2025-06-27 11:43:47.005722000 +0000
@@ -179,7 +179,7 @@
 	 */
 	public function __construct(DoliDB $db)
 	{
-		global $langs;
+		global $conf, $langs;
 
 		$this->db = $db;
 
@@ -193,6 +193,12 @@
 			$this->fields['entity']['enabled'] = 0;
 		}
 
+		// Example to show how to set values of fields definition dynamically
+		/*if ($user->rights->hrm->skilldet->read) {
+			$this->fields['myfield']['visible'] = 1;
+			$this->fields['myfield']['noteditable'] = 0;
+		}*/
+
 		// Unset fields that are disabled
 		foreach ($this->fields as $key => $val) {
 			if (isset($val['enabled']) && empty($val['enabled'])) {
@@ -237,8 +243,7 @@
 	 */
 	public function createFromClone(User $user, $fromid)
 	{
-		global $extrafields;
-
+		global $langs, $extrafields;
 		$error = 0;
 
 		dol_syslog(__METHOD__, LOG_DEBUG);
@@ -476,7 +481,7 @@
 	 */
 	public function validate($user, $notrigger = 0)
 	{
-		global $conf;
+		global $conf, $langs;
 
 		require_once DOL_DOCUMENT_ROOT.'/core/lib/files.lib.php';
 
@@ -945,7 +950,7 @@
 	 */
 	public function generateDocument($modele, $outputlangs, $hidedetails = 0, $hidedesc = 0, $hideref = 0, $moreparams = null)
 	{
-		global $langs;
+		global $conf, $langs;
 
 		$result = 0;
 		$includedocgeneration = 0;

########## hrm/compare.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/compare.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/compare.php	2025-06-27 11:43:46.981483000 +0000
@@ -216,63 +216,62 @@
 			</div>
 			<br><br>
 
-			<div id="compare" class="centpercent" style="position:relative;">
+			<div id="compare" width="100%" style="position:relative;">
+
+				<?php if ($fk_usergroup1 > 0 || $fk_usergroup2 > 0 || $fk_job > 0) { ?>
+					<table width="100%">
+						<tr>
+							<th></th>
+							<th><?php print $langs->trans('Skill'); ?></th>
+							<th><?php print $langs->trans('rank'); ?></th>
+							<th><?php print $langs->trans('difference'); ?></th>
+							<th><?php print $langs->trans('rank'); ?></th>
+							<th></th>
+						</tr>
+
+						<?php
+						echo '<tr><td id="list-user-left" style="width:30%" valign="top">';
 
-				<?php if ($fk_usergroup1 > 0 || $fk_usergroup2 > 0 || $fk_job > 0) {
 						$TUser1 = $TUser2 = array();
 
-						$userlist1 = displayUsersListWithPicto($TUser1, $fk_usergroup1, 'list1');	// This fill also the $TUser1
+						$userlist1 = displayUsersListWithPicto($TUser1, $fk_usergroup1, 'list1');
+
 
+						$skill = new Skill($db);
 						$TSkill1 = getSkillForUsers($TUser1);
 
-					if ($fk_job > 0) {
-						$TSkill2 = getSkillForJob($fk_job);
+						if ($fk_job > 0) {
+							$TSkill2 = getSkillForJob($fk_job);
 
-						$job = new Job($db);
-						$job->fetch($fk_job);
-						$userlist2 = '<ul>
+							$job = new Job($db);
+							$job->fetch($fk_job);
+							$userlist2 = '<ul>
 											<li>
 												<h3>' . $job->label . '</h3>
 												<p>' . $job->description . '</p>
 											</li>
 										</ul>';
-					} else {
-						$userlist2 = displayUsersListWithPicto($TUser2, $fk_usergroup2, 'list2');
-						$TSkill2 = getSkillForUsers($TUser2);
-					}
+						} else {
+							$userlist2 = displayUsersListWithPicto($TUser2, $fk_usergroup2, 'list2');
+							$TSkill2 = getSkillForUsers($TUser2);
+						}
 
 						$TMergedSkills = mergeSkills($TSkill1, $TSkill2);
-					?>
-					<table class="centpercent">
-						<tr>
-							<th class="left"><?php print $langs->trans('Employees'); ?></th>
-							<th class="left" style="padding-left: 10px;"><?php print $langs->trans('Skill'); ?></th>
-							<th><?php print $langs->trans('HighestRank'); ?></th>
-							<th><?php print $langs->trans('difference'); ?></th>
-							<th><?php print $langs->trans($fk_job > 0 ? 'ExpectedRank' : 'HighestRank'); ?></th>
-							<th></th>
-						</tr>
 
-						<?php
-						echo '<tr>';
-
-						echo '<td id="list-user-left" style="width:25%; padding-right: 10px; border-right: 1px solid #ccc" class="valigntop">';
 						echo $userlist1;
-						echo '</td>';
 
-						echo '<td id="" style="width:20%; padding-left: 10px;" valign="top">' . skillList($TMergedSkills) . '</td>';
-
-						echo '<td id="" style="width:10%" valign="top">' . rate($TMergedSkills, 'rate1') . '</td>';
+						echo '</td>';
 
+						echo '<td id="" style="width:20%" valign="top">' . skillList($TMergedSkills) . '</td>';
+						echo '<td id="" style="width:5%" valign="top">' . rate($TMergedSkills, 'rate1') . '</td>';
 						echo '<td id="" style="width:10%" valign="top">' . diff($TMergedSkills) . '</td>';
+						echo '<td id="" style="width:5%" valign="top">' . rate($TMergedSkills, 'rate2') . '</td>';
 
-						echo '<td id="" style="width:10%; padding-right: 10px;" valign="top">' . rate($TMergedSkills, 'rate2') . '</td>';
+						echo '<td id="list-user-right" style="width:30%" valign="top">';
 
-						echo '<td id="list-user-right" style="width:25%; padding-left: 10px; border-left: 1px solid #ccc;" class="valigntop">';
 						echo $userlist2;
-						echo '</td>';
 
-						echo '</tr>';
+						echo '</td></tr>';
 
 						?>
 
@@ -331,11 +330,10 @@
 }
 
 /**
- * Return a html list with rank information
- *
- * @param 	array<int,stdClass> $TMergedSkills 	Skill list for display
- * @param 	string 				$field 			Which column of comparison we are working with ('rate1' or 'rate2')
- * @return 	string								String to show for level
+ * 	Return a html list with rank information
+ * 		@param array<int,stdClass> $TMergedSkills skill list for display
+ * 		@param string $field which column of comparison we are working with
+ * 		@return string
  */
 function rate(&$TMergedSkills, $field)
 {
@@ -350,7 +348,7 @@
 			$note = 'x';
 			$class .= ' none';
 		} else {
-			$note = $sk->$field < 0 ? $langs->trans("NA") : $sk->$field;
+			$note = $sk->$field;
 			$how_many = ($field === 'rate1') ? $sk->how_many_max1 : $sk->how_many_max2;
 		}
 
@@ -360,8 +358,8 @@
 			$trad = $langs->trans('HighestRank');
 		}
 
-		$out .= '<li fk_skill="' . $id . '" class="center">
-	      <p class="nowraponall"><span class="' . $class . ' classfortooltip" title="' . $trad . '">' . $note . '</span>' . ($how_many > 0 ? '<span class="bubble classfortooltip" title="' . $langs->trans('HowManyUserWithThisMaxNote') . '">' . $how_many . '</span>' : '') . '</p>
+		$out .= '<li fk_skill="' . $id . '" style="text-align:center;">
+	      <p><span class="' . $class . ' classfortooltip" title="' . $trad . '">' . $note . '</span>' . ($how_many > 0 ? '<span class="bubble classfortooltip" title="' . $langs->trans('HowManyUserWithThisMaxNote') . '">' . $how_many . '</span>' : '') . '</p>
 	    </li>';
 	}
 
@@ -393,10 +391,10 @@
 }
 
 /**
- * Create an array of lines [ skillLabel,description, maxrank on group1 , minrank needed for this skill ]
+ *  create an array of lines [ skillLabel,description, maxrank on group1 , minrank needed for this skill ]
  *
- * @param array<int,stdClass> $TSkill1 		Skill list of first column
- * @param array<int,stdClass> $TSkill2 		Skill list of second column
+ * @param array<int,stdClass> $TSkill1 skill list of first column
+ * @param array<int,stdClass> $TSkill2 skill list of second column
  * @return array<int,stdClass>
  */
 function mergeSkills($TSkill1, $TSkill2)
@@ -410,7 +408,6 @@
 
 		$Tab[$sk->fk_skill]->rate1 = $sk->rankorder;
 		$Tab[$sk->fk_skill]->how_many_max1 = $sk->how_many_max;
-
 		$Tab[$sk->fk_skill]->label = $sk->label;
 		$Tab[$sk->fk_skill]->description = $sk->description;
 	}
@@ -420,10 +417,9 @@
 			$Tab[$sk->fk_skill] = new stdClass();
 		}
 		$Tab[$sk->fk_skill]->rate2 = $sk->rankorder;
-		$Tab[$sk->fk_skill]->how_many_max2 = $sk->how_many_max;
-
 		$Tab[$sk->fk_skill]->label = $sk->label;
 		$Tab[$sk->fk_skill]->description = $sk->description;
+		$Tab[$sk->fk_skill]->how_many_max2 = $sk->how_many_max;
 	}
 
 	return $Tab;
@@ -515,60 +511,52 @@
 /**
  * 		Allow to get skill(s) of a user
  *
- * 		@param int[] 	$TUser 			array of employees we need to get skills
+ * 		@param int[] $TUser array of employees we need to get skills
  * 		@return array<int,stdClass>
  */
 function getSkillForUsers($TUser)
 {
 	global $db;
 
-	// I go back to the user with the highest score in a given group for all the skills assessed in that group
+	//I go back to the user with the highest score in a given group for all the skills assessed in that group
 	if (empty($TUser)) {
 		return array();
 	}
 
-	$sql = 'SELECT sk.rowid, sk.label, sk.description, sk.skill_type,';
+	$sql = 'SELECT sk.rowid, sk.label, sk.description, sk.skill_type, sr.fk_object, sr.objecttype, sr.fk_skill, ';
 	$sql .= ' MAX(sr.rankorder) as rankorder';
 	$sql .= ' FROM '.MAIN_DB_PREFIX.'hrm_skill sk';
-	$sql .= ' INNER JOIN '.MAIN_DB_PREFIX.'hrm_skillrank sr';
-	$sql .= " WHERE sk.rowid = sr.fk_skill AND sr.objecttype = '".$db->escape(SkillRank::SKILLRANK_TYPE_USER)."'";
+	$sql .= ' LEFT JOIN '.MAIN_DB_PREFIX.'hrm_skillrank sr ON (sk.rowid = sr.fk_skill)';
+	$sql .= " WHERE sr.objecttype = '".$db->escape(SkillRank::SKILLRANK_TYPE_USER)."'";
 	$sql .= ' AND sr.fk_object IN ('.$db->sanitize(implode(',', $TUser)).')';
-	$sql .= ' AND rankorder >= 0';
-	$sql .= " GROUP BY sk.rowid, sk.label, sk.description, sk.skill_type"; // group by skill
-	$sql .= " ORDER BY sk.rowid ASC";
+	$sql .= " GROUP BY sk.rowid, sk.label, sk.description, sk.skill_type, sr.fk_object, sr.objecttype, sr.fk_skill "; // group par competence
 
 	$resql = $db->query($sql);
 	$Tab = array();
 
 	if ($resql) {
-		// For each skill, we count the number of times that the max score has been reached within a given group
+		//For each skill, we count the number of times that the max score has been reached within a given group
 		$num = 0;
 		while ($obj = $db->fetch_object($resql)) {
-			$Tab[$num] = new stdClass();
-
-			$Tab[$num]->fk_skill = $obj->rowid;
-			$Tab[$num]->label = $obj->label;
-			$Tab[$num]->description = $obj->description;
-			$Tab[$num]->skill_type = $obj->skill_type;
-			//$Tab[$num]->fk_object = $obj->fk_object;
-			$Tab[$num]->objectType = SkillRank::SKILLRANK_TYPE_USER;
-
-			$Tab[$num]->rankorder = $obj->rankorder;
-
-			// Get how_many_max
 			$sql1 = "SELECT COUNT(rowid) as how_many_max FROM ".MAIN_DB_PREFIX."hrm_skillrank as sr";
 			$sql1 .= " WHERE sr.rankorder = ".((int) $obj->rankorder);
 			$sql1 .= " AND sr.objecttype = '".$db->escape(SkillRank::SKILLRANK_TYPE_USER)."'";
-			$sql1 .= " AND sr.fk_skill = ".((int) $obj->rowid);
+			$sql1 .= " AND sr.fk_skill = ".((int) $obj->fk_skill);
 			$sql1 .= " AND sr.fk_object IN (".$db->sanitize(implode(',', $TUser)).")";
 			$resql1 = $db->query($sql1);
 
 			$objMax = $db->fetch_object($resql1);
 
+			$Tab[$num] = new stdClass();
+			$Tab[$num]->fk_skill = $obj->fk_skill;
+			$Tab[$num]->label = $obj->label;
+			$Tab[$num]->description = $obj->description;
+			$Tab[$num]->skill_type = $obj->skill_type;
+			$Tab[$num]->fk_object = $obj->fk_object;
+			$Tab[$num]->objectType = SkillRank::SKILLRANK_TYPE_USER;
+			$Tab[$num]->rankorder = $obj->rankorder;
 			$Tab[$num]->how_many_max = $objMax->how_many_max;
 
-			$db->free($resql1);
-
 			$num++;
 		}
 	} else {

########## hrm/css/style.css
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/evaluation_card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/evaluation_card.php	2025-06-27 11:43:46.983114000 +0000
@@ -581,15 +581,15 @@
 
 				$Tab[$num]->required_rank = '<span title="'.$required_rank_desc.'" class="radio_js_bloc_number TNote_1">' . $required_rank . '</span>';
 
-				if ($obj->userRankForSkill < 0 || $obj->required_rank < 0) {
+				if ($obj->userRankForSkill == -1) {
 					$title = $langs->trans('NA');
-					$class .= 'na';
+					$class .= 'veryhappy diffnote';
 				} elseif ($obj->userRankForSkill > $obj->required_rank) {
 					$title = $langs->trans('MaxlevelGreaterThanShort');
-					$class .= 'veryhappy';
+					$class .= 'veryhappy diffnote';
 				} elseif ($obj->userRankForSkill == $obj->required_rank) {
 					$title = $langs->trans('MaxLevelEqualToShort');
-					$class .= 'happy';
+					$class .= 'happy diffnote';
 				} elseif ($obj->userRankForSkill < $obj->required_rank) {
 					$title = $langs->trans('MaxLevelLowerThanShort');
 					$class .= 'sad';

########## hrm/evaluation_list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/evaluation_list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/evaluation_list.php	2025-06-27 11:43:47.041708000 +0000
@@ -91,10 +91,11 @@
 
 // Default sort order (if not yet defined by previous GETPOST)
 if (!$sortfield) {
-	$sortfield = "t.ref"; 		// Set here default search field. By default 1st field in definition.
+	reset($object->fields);					// Reset is required to avoid key() to return null.
+	$sortfield = "t.".key($object->fields); // Set here default search field. By default 1st field in definition.
 }
 if (!$sortorder) {
-	$sortorder = "DESC";
+	$sortorder = "ASC";
 }
 
 // Initialize array of search criteria

########## hrm/index.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/index.php	2025-06-27 11:43:46.985277000 +0000
@@ -274,7 +274,7 @@
 				print '<td class="tdoverflowmax100">'.$userstatic->getNomUrl(-1, 'leave').'</td>';
 
 				$leavecode = empty($typeleaves[$obj->fk_type]) ? 'Undefined' : $typeleaves[$obj->fk_type]['code'];
-				print '<td class="tdoverflowmax80" title="'.dol_escape_htmltag($langs->trans($leavecode)).'">'.dol_escape_htmltag($langs->trans($leavecode)).'</td>';
+				print '<td class="tdoverflowmax100" title="'.dol_escape_htmltag($langs->trans($leavecode)).'">'.dol_escape_htmltag($langs->trans($leavecode)).'</td>';
 
 				$starthalfday = ($obj->halfday == -1 || $obj->halfday == 2) ? 'afternoon' : 'morning';
 				$endhalfday = ($obj->halfday == 1 || $obj->halfday == 2) ? 'morning' : 'afternoon';

########## hrm/skill_card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/hrm/skill_card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/hrm/skill_card.php	2025-06-27 11:43:47.010915000 +0000
@@ -138,7 +138,6 @@
 
 	// action update on Skilldet must be done before real update action in core/actions_addupdatedelete.inc.php
 	$skilldetArray = GETPOST("descriptionline", "array:alphanohtml");
-
 	if (!$error) {
 		if (is_array($skilldetArray) && count($skilldetArray) > 0) {
 			if ($action == 'update' && $permissiontoadd) {
@@ -172,7 +171,6 @@
 				$arraySkill = $object->fetchLines();
 				'@phan-var-force Skilldet[] $arraySkill';
 				$index = 0;
-
 				foreach ($arraySkill as $skilldet) {
 					if ($skilldet->rankorder != 0) {
 						if (isset($skilldetArray[$index])) {
@@ -379,12 +377,11 @@
 				//                  $value = GETPOSTISSET($key) ? price2num(GETPOST($key, 'alphanohtml')) : $sk->$key;
 				//              } elseif (preg_match('/^(text|html)/', $val['type'])) {
 				//                  $tmparray = explode(':', $val['type']);
-				//if (!empty($tmparray[1])) {
-				//	$check = $tmparray[1];
-				//} else {
-				//	$check = 'restricthtml';
-				//}
-				$check = 'restricthtml';
+				if (!empty($tmparray[1])) {
+					$check = $tmparray[1];
+				} else {
+					$check = 'restricthtml';
+				}
 
 				$skilldetArray = GETPOST("descriptionline", "array");
 				if (empty($skilldetArray)) {

########## index.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/index.php	2025-06-27 11:43:48.787786000 +0000
@@ -94,16 +94,11 @@
 	$form = new Form($db);
 }
 
-$appli = constant('DOL_APPLICATION_TITLE');
-$applicustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-if ($applicustom) {
-	$appli = (preg_match('/^\+/', $applicustom) ? $appli : '').$applicustom;
-} else {
-	$appli .= " ".DOL_VERSION;
-}
-
 // Title
-$title = $langs->trans("HomeArea").' - '.$appli;
+$title = $langs->trans("HomeArea").' - Dolibarr '.DOL_VERSION;
+if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+	$title = $langs->trans("HomeArea").' - ' . getDolGlobalString('MAIN_APPLICATION_TITLE');
+}
 
 llxHeader('', $title);
 

########## knowledgemanagement/class/api_knowledgemanagement.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/knowledgemanagement/class/api_knowledgemanagement.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/knowledgemanagement/class/api_knowledgemanagement.class.php	2025-06-27 11:43:57.317996000 +0000
@@ -147,7 +147,7 @@
 			throw new RestException(403);
 		}
 
-		$socid = DolibarrApiAccess::$user->socid ?: 0;
+		$socid = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : 0;
 
 		$restrictonsocid = 0; // Set to 1 if there is a field socid in table of object
 

########## knowledgemanagement/core/modules/knowledgemanagement/mod_knowledgerecord_standard.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/knowledgemanagement/core/modules/knowledgemanagement/mod_knowledgerecord_standard.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/knowledgemanagement/core/modules/knowledgemanagement/mod_knowledgerecord_standard.php	2025-06-27 11:43:57.332875000 +0000
@@ -96,7 +96,7 @@
 		$sql .= " WHERE ref LIKE '".$db->escape($this->prefix)."____-%'";
 		if ($object->ismultientitymanaged == 1) {
 			$sql .= " AND entity = ".$conf->entity;
-		} elseif (!is_numeric($object->ismultientitymanaged)) {
+		} elseif ($object->ismultientitymanaged == 2) {
 			// TODO
 		}
 
@@ -134,7 +134,7 @@
 		$sql .= " WHERE ref LIKE '".$db->escape($this->prefix)."____-%'";
 		if ($object->ismultientitymanaged == 1) {
 			$sql .= " AND entity = ".$conf->entity;
-		} elseif (!is_numeric($object->ismultientitymanaged)) {
+		} elseif ($object->ismultientitymanaged == 2) {
 			// TODO
 		}
 

########## main.inc.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/main.inc.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/main.inc.php	2025-06-27 11:43:57.391828000 +0000
@@ -597,7 +597,7 @@
 
 			// Process error of captcha validation
 			if (!$ok) {
-				dol_syslog('--- Security warning: Bad value for code, connection refused', LOG_NOTICE);
+				dol_syslog('Bad value for code, connection refused', LOG_NOTICE);
 				// Load translation files required by page
 				$langs->loadLangs(array('main', 'errors'));
 
@@ -667,13 +667,6 @@
 			$langs->setDefaultLang($langcode);
 		}
 
-		// Test HTTP header
-		if (!empty($_SERVER['HTTP_EXPOSED_CREDENTIAL_CHECK'])) {
-			// TODO Read option $dolibarr_main_no_leaked_credentials with value 1, 2, ... and return
-			//dol_syslog("--- Access to ".(empty($_SERVER["REQUEST_METHOD"]) ? '' : $_SERVER["REQUEST_METHOD"].' ').$_SERVER["PHP_SELF"].' refused by option $dolibarr_main_no_leaked_credentials='.$dolibarr_main_no_leaked_credentials, LOG_NOTICE);
-			dol_syslog('--- Security warning: credentials reported as leaked were used to try to login. HTTP_EXPOSED_CREDENTIAL_CHECK='.((int) $_SERVER['HTTP_EXPOSED_CREDENTIAL_CHECK']), LOG_NOTICE);
-		}
-
 		// Validation of login/pass/entity
 		// If ok, the variable login will be returned
 		// If error, we will put error message in session under the name dol_loginmesg
@@ -1653,9 +1646,8 @@
 
 		// Displays title
 		$appli = constant('DOL_APPLICATION_TITLE');
-		$applicustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-		if ($applicustom) {
-			$appli = (preg_match('/^\+/', $applicustom) ? $appli : '').$applicustom;
+		if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+			$appli = getDolGlobalString('MAIN_APPLICATION_TITLE');
 		}
 
 		print '<title>';
@@ -2059,9 +2051,15 @@
 
 		// Define link to login card
 		$appli = constant('DOL_APPLICATION_TITLE');
-		$applicustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-		if ($applicustom) {
-			$appli = (preg_match('/^\+/', $applicustom) ? $appli : '').$applicustom;
+		if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+			$appli = getDolGlobalString('MAIN_APPLICATION_TITLE');
+			if (preg_match('/\d\.\d/', $appli)) {
+				if (!preg_match('/'.preg_quote(DOL_VERSION).'/', $appli)) {
+					$appli .= " (".DOL_VERSION.")"; // If new title contains a version that is different than core
+				}
+			} else {
+				$appli .= " ".DOL_VERSION;
+			}
 		} else {
 			$appli .= " ".DOL_VERSION;
 		}
@@ -2452,9 +2450,15 @@
 
 	// Define version to show
 	$appli = constant('DOL_APPLICATION_TITLE');
-	$applicustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-	if ($applicustom) {
-		$appli = (preg_match('/^\+/', $applicustom) ? $appli : '').$applicustom;
+	if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+		$appli = getDolGlobalString('MAIN_APPLICATION_TITLE');
+		if (preg_match('/\d\.\d/', $appli)) {
+			if (!preg_match('/'.preg_quote(DOL_VERSION).'/', $appli)) {
+				$appli .= " (".DOL_VERSION.")"; // If new title contains a version that is different than core
+			}
+		} else {
+			$appli .= " ".DOL_VERSION;
+		}
 	} else {
 		$appli .= " ".DOL_VERSION;
 	}
@@ -3315,18 +3319,19 @@
 			}
 
 			$appli = constant('DOL_APPLICATION_TITLE');
-			$applicustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-			if ($applicustom) {
-				$appli = (preg_match('/^\+/', $applicustom) ? $appli : '').$applicustom;
+			if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+				$appli = getDolGlobalString('MAIN_APPLICATION_TITLE');
+				$doliurl = '';
+				if (preg_match('/\d\.\d/', $appli)) {
+					if (!preg_match('/'.preg_quote(DOL_VERSION).'/', $appli)) {
+						$appli .= " (".DOL_VERSION.")"; // If new title contains a version that is different than core
+					}
+				} else {
+					$appli .= " ".DOL_VERSION;
+				}
 			} else {
 				$appli .= " ".DOL_VERSION;
 			}
-
-			// Clean doliurl if we use a custom application name
-			if ($applicustom) {
-				$doliurl = '';
-			}
-
 			print '<div id="blockvmenuhelpapp" class="blockvmenuhelp">';
 			if ($doliurl) {
 				print '<a class="help" target="_blank" rel="noopener noreferrer" href="'.$doliurl.'">';

########## modulebuilder/index.php
